org.firebirdsql.gds.ng.wire.version11

## Class V11ParameterConverter

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>
  - - org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter
    - - org.firebirdsql.gds.ng.wire.version11.V11ParameterConverter

All Implemented Interfaces:
  ParameterConverter<WireDatabaseConnection,WireServiceConnection>

Direct Known Subclasses:
  V12ParameterConverter

    public class V11ParameterConverter
    extends V10ParameterConverter

Implementation of `ParameterConverter` for the version 11 protocol.

Adds support for including the process name and process id from the system properties `org.firebirdsql.jdbc.processName` and `org.firebirdsql.jdbc.pid`

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`V11ParameterConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addProcessId(DatabaseParameterBuffer dpb)` Adds the processId (pid) to the dpb, if available.
`protected void` `addProcessName(DatabaseParameterBuffer dpb)` Adds the processName to the dpb, if available.
`protected void` `populateDefaultProperties(WireDatabaseConnection connection, DatabaseParameterBuffer dpb)` Populates the database parameter buffer with the standard Firebird properties explicitly supported through `IConnectionProperties`.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter

`populateAuthenticationProperties`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractParameterConverter

`createDatabaseParameterBuffer, createServiceParameterBuffer, populateDefaultProperties, toDatabaseParameterBuffer, toServiceParameterBuffer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### V11ParameterConverter

    public V11ParameterConverter()

### Method Detail

#### populateDefaultProperties

    protected void populateDefaultProperties(WireDatabaseConnection connection,
                                             DatabaseParameterBuffer dpb)
                                      throws java.sql.SQLException

Description copied from class: `AbstractParameterConverter`
Populates the database parameter buffer with the standard Firebird properties explicitly supported through `IConnectionProperties`.

Overrides:
  `populateDefaultProperties` in class `AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>`
Parameters:
  `connection` - Database connection
  `dpb` - Database parameter buffer to populate
Throws:
  `java.sql.SQLException` - For errors generating authentication information

#### addProcessName

    protected final void addProcessName(DatabaseParameterBuffer dpb)

Adds the processName to the dpb, if available.

Parameters:
  `dpb` - Database parameter buffer

#### addProcessId

    protected final void addProcessId(DatabaseParameterBuffer dpb)

Adds the processId (pid) to the dpb, if available.

Parameters:
  `dpb` - Database parameter buffer